#include "partition.h"
#include<vector>
#include<iostream>
#include<algorithm>
using namespace std;

struct st_aux{
    long long a,ind;
};

vector<st_aux> aux;

bool cmp(st_aux a,st_aux b){
    return a.a<b.a;
}

vector<int> solve(vector<int> A) {
    int i,n=A.size();
    vector<int> rasp;
    for(i=0;i<n/2;i++){
        if(i%2==0) rasp.push_back(n-1-i/2);
        else rasp.push_back(i/2);
    }
    if(n%2) rasp.push_back(n/2+1);
    for(i=n/2;i<n/2*2;i++){
        if(i%2==0) rasp.push_back(n-1-i/2);
        else rasp.push_back(i/2);
    }
    return rasp;
}
